#include <stdio.h>
#include "pico/stdlib.h"
#include "hardware/gpio.h"

#include "bmp\DV_logo.h"
#include "bmp\Blatt.h"
#include "bmp\Blatt2.h"

#include "EA_TFT.h"

//-------------------------------------------------------------------------------------------------

#define TFT_PWM     9  // Pin 12

#define BACKGROND   RGB565(155,0,150)
#define WAIT        2000

//-------------------------------------------------------------------------------------------------

int main()
{
    stdio_init_all();

    gpio_set_function(TFT_PWM,  GPIO_FUNC_SIO);
    gpio_set_dir(TFT_PWM, GPIO_OUT);
    gpio_put(TFT_PWM, 1);

    TFTspi_init(16000000);
    TFTreset(EA_TFT009);
    setTFTangle(270);

    while(1)
    { 
        TFTbitmap(0,0, DV_logo);
        sleep_ms(WAIT);

        TFTbitmap(0,0, Blatt);
        sleep_ms(WAIT);

        TFTfill(WHITE, 0,0, gTFTwidth-1, 19);
        TFTfill(BACKGROND, 0,20, gTFTwidth-1, gTFTheight-1);
        setTFTcolor(BLACK, WHITE);
        setTFTfont(FONT_8X16, 1,1);
        TFTtext(24,2, "EA TFT009-81AI");
        setTFTcolor(WHITE, BACKGROND);
        setTFTfont(FONT_7X12, 1,1);
        TFTtext(5,24, "- 0.96\" low-power TFT");
        TFTtext(5,38, "- 3.3 V single supply");
        TFTtext(5,52, "- 160x80 dots");
        TFTtext(5,66, "- wide viewing angle");
        sleep_ms(WAIT*2);

        TFTbitmap(0,0, Blatt2);
        sleep_ms(WAIT);

        TFTfill(WHITE, 0,0, gTFTwidth-1, 19);
        TFTfill(BACKGROND, 0,20, gTFTwidth-1, gTFTheight-1);
        setTFTcolor(BLACK, WHITE);
        setTFTfont(FONT_8X16, 1,1);
        TFTtext(24,2, "EA TFT009-81AI");
        setTFTcolor(WHITE, BACKGROND);
        setTFTfont(FONT_7X12, 1,1);
        TFTtext(5,24, "- -20\xF8..+70\xF8 (TOP.)");
        TFTtext(5,38, "- 3-/4-wire spi");
        TFTtext(5,52, "- controller ST7735S");
        TFTtext(5,66, "- PCAP with I2C (opt.)");
        sleep_ms(WAIT*2);
    }

    return 0;
}
